import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

import { UserDetailComponent } from './component/user-detail.component';
import { UserListComponent } from './component/user-list.component';
import { UserConnectComponent } from './component/user-connect/user-connect.component';

const routes: Routes = [

  {
    path: '',
    component: UserListComponent,
  },
  {
    path: 'user-list/:userId',
    component: UserDetailComponent
  },
  {
    path: 'user-connect',
    component: UserConnectComponent
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class UserRoutingModule { }
